Open Infrastructure - Task #7119

Alternative Blog Software Research
09/05/2019 05:55 PM - Ahmed Bilal

Status: Closed Start date: 09/05/2019
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

It would be good to have some or all of the following things

e should have some theming / design support -> so that we can re-apply / introduce our ungleich style to the blog
¢ should be easy to use with git / probably markdown or similar

¢ should offer some kind of search support -> I've seen various approaches for that

e very good if it supports editing online AND offline (the is supported by lektor, which actually looks pretty cool)

¢ should also support sitemap

Static Site Generator To Test

e https://www.gatsbyjs.org
https://blog.getpelican.com/
https:/jekyllrb.com
https://www.getlektor.com/
e https:/hexo.io/

¢ https:/lunrjs.com/
e https://nuxtjs.org/

History

#1 - 09/05/2019 06:27 PM - Ahmed Bilal

https://www. js.or

Need knowledge of HTML, CSS, JS, React, and GraphQL
Need to learn quite a few things.

Probably, not a good choice.

Matomo plugin available

#2 - 09/05/2019 07:07 PM - Ahmed Bilal
https://gohugo.io/

e Easy to use
¢ Markdown (also support short-codes that enable to embed tweets/gist/vimeo/youtube/instagram/)

https://gohugo.i ntent-management/shor
e Very Quick to Setup i.e takes very few amount of time from installing to publishing first post
Sitemap

Internationalization support

Does not have builtin search support but can be added https:/gohugo.io/tools/search/ (not-tested)
Support theming AFAIK

Matomo plugin available (not-tested)

#3 - 09/05/2019 07:44 PM - Ahmed Bilal
https://blog. lican.com/ (Written in Python)

e Easy to use

¢ Markdown (support too many plugins although most of them are not very active on Github so, can't comment on their functionality
https:/github.com/getpelican/pelican-plugins)

Very Quick to Setup i.e takes very few amount of time from installing to publishing first post

Sitemap (through plugin - Tested)

Internationalization support

Does not have builtin search support but can be added (through plugin - Not Tested)
e Support theming AFAIK
* Seems like grown old and no body care it anymore
¢ Matomo plugin not-available

#4 - 09/05/2019 08:10 PM - Ahmed Bilal
https://jekyllrb.com

e Easy to use

¢ Markdown (support many plugins. | tested Youtube and Sitemap plugins. Both works great -
https:/github.com/planetjekyll/awesome-jekyll-plugins)

Very Quick to Setup i.e takes very few amount of time from installing to publishing first post
Sitemap (through plugin - Tested)

Internationalization support (Plugin - Not Tested)

Does not have builtin search support but can be added (through plugin - Not Tested)
Support theming AFAIK

Matomo plugin available (not-tested but seems like solid)

So, far most mature and looks good to me

#5 - 09/06/2019 06:35 AM - Ahmed Bilal

- Status changed from New to In Progress

#6 - 09/06/2019 07:52 AM - Ahmed Bilal

https://www.getlektor.com

Easy to use for simpler cases

Markdown (support plugins https://www.getlektor.com/plugins/. | tested Sitemap plugins)

Take too much trouble to install (most probably its my machine only)

Sitemap (through plugin - Tested)

Internationalization support (Plugin - Not Tested)

Does not have builtin search support but can be added (A plugin is available but | couldn't make it to work yet)
Support theming AFAIK

Matomo plugin not-available

#7 - 09/06/2019 08:30 AM - Ahmed Bilal
https://hexo.io/

Easy to use

Very Poor Default Theme

Markdown (support special tags https://hexo.io/docs/tag-plugins. support plugins. | tested Sitemap plugins. https://hexo.io/plugins/index.html)
Very Quick to Setup i.e takes very few amount of time from installing to publishing first post

Sitemap (through plugin - Tested)

Internationalization support (Not Tested)

Have builtin search support (through Google)

Support theming AFAIK

Matomo plugin not-available

#8 - 09/06/2019 12:49 PM - Nico Schottelius
Hey Ahmed,

can you give a summary at the end and add your opinion about the various
tools?

Best,
Nico

redmine@ungleich.ch writes:

#9 - 09/07/2019 07:34 PM - Ahmed Bilal

If I have to use it for myself, | would go with Jekyll. It is easy to setup and use, have a lot of plugins, stable and mature. It supports all the things we
initially needed. We should give it a try first (on some development VM maybe). Mutiple CMS are also available on the top of Jekyll
https://jekyllrb.com/resources/

#10 - 10/02/2019 09:28 AM - Ahmed Bilal
- Status changed from In Progress to Feedback

- Assignee changed from Ahmed Bilal to Nico Schottelius
#11 - 10/02/2019 12:18 PM - Nico Schottelius
- Status changed from Feedback to Closed

going w/ lektor for the moment

redmine@ungleich.ch writes:

03/13/2025 3/3


mailto:redmine@ungleich.ch
http://www.tcpdf.org

